Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Interface OpenJPAProductDerivation

All Superinterfaces:
  ProductDerivation

All Known Implementing Classes:
  JDBCPersistenceProductDerivation, JDBCProductDerivation, PersistenceProductDerivation

    public interface OpenJPAProductDerivation

extends ProductDerivation

Adds datastore based extension to ProductDerivation.

Since:
  0.4.1
Author:
  Pinaki Poddar

Field Summary
`static int` | `TYPE_PRODUCT_STORE`
`static int` | `TYPE_SPEC`
`static int` | `TYPE_SPEC_STORE`
`static int` | `TYPE_STORE`

Fields inherited from interface org.apache.openjpa.lib.conf.ProductDerivation
`TYPE_FEATURE, TYPE_PRODUCT`

Method Summary
`void` | `putBrokerFactoryAliases(Map aliases)` Load default alias options into the given map.

Methods inherited from interface org.apache.openjpa.lib.conf.ProductDerivation
`afterSpecificationSet, beforeConfigurationConstruct, beforeConfigurationLoad, getConfigurationPrefix, getType, load, load, loadDefaults, loadGlobals`

Field Detail

### TYPE_SPEC

    static final int TYPE_SPEC

See Also:
  Constant Field Values

### TYPE_STORE

    static final int TYPE_STORE

See Also:
  Constant Field Values

### TYPE_SPEC_STORE

    static final int TYPE_SPEC_STORE

See Also:
  Constant Field Values

### TYPE_PRODUCT_STORE

    static final int TYPE_PRODUCT_STORE

See Also:
  Constant Field Values

Method Detail

### putBrokerFactoryAliases

    void putBrokerFactoryAliases(Map aliases)

  Load default alias options into the given map. Each entry maps an alias to a broker factory class name. Replace anything perviously under the desired keys.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.